# phpDox - Query\QueryBuilder::countAllResults

# Query\QueryBuilder::countAllResults

#### Retrieve the number of results for the generated query - used in place of the get() method

## Signature

`public function countAllResults([string $table = '', [boolean $reset = TRUE]] )`

## Parameters

`$table` — string
`$reset` — boolean

## Returns

int

## Defined by Interface

`QueryBuilderInterface`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
657 | BooleanArgumentFlag | The method countAllResults has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.